<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:bind="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="viewModel"
            type="com.vessel.app.stressreliefdetails.StressReliefDetailsViewModel" />
    </data>

    <FrameLayout
        android:layout_width="match_parent"
        android:id="@+id/parentContainer"
        android:layout_height="wrap_content"
        android:paddingBottom="@dimen/spacing_normal">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/contentRecyclerView"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
            tools:itemCount="1"
            tools:listitem="@layout/item_stress_relief_details_header" />

        <include
            android:id="@+id/toolbar"
            layout="@layout/toolbar_back"
            bind:handler="@{viewModel}" />

        <include
            android:id="@+id/loadingLayout"
            layout="@layout/layout_full_screen_loading_transparent"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:visible="@{viewModel.isLoading}"
            tools:visibility="gone" />
    </FrameLayout>
</layout>
